/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;

/**
 * Disclaimer
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Disclaimer {
  @SerializedName("code")
  private String code = null;

  @SerializedName("text")
  private String text = null;

  @SerializedName("type")
  private String type = null;

  public Disclaimer code(String code) {
    this.code = code;
    return this;
  }

   /**
   * Code.
   * @return code
  **/
  @ApiModelProperty(required = true, value = "Code.")
  public String getCode() {
    return code;
  }

  public void setCode(String code) {
    this.code = code;
  }

  public Disclaimer text(String text) {
    this.text = text;
    return this;
  }

   /**
   * Complet text.
   * @return text
  **/
  @ApiModelProperty(required = true, value = "Complet text.")
  public String getText() {
    return text;
  }

  public void setText(String text) {
    this.text = text;
  }

  public Disclaimer type(String type) {
    this.type = type;
    return this;
  }

   /**
   * Type, indicates on which context (or step of customer journey) the message can be displayed. Expected values (PERSONAL_DATA, SUBSCRIPTION, PAYMENT, ALL).
   * @return type
  **/
  @ApiModelProperty(example = "PERSONAL_DATA", value = "Type, indicates on which context (or step of customer journey) the message can be displayed. Expected values (PERSONAL_DATA, SUBSCRIPTION, PAYMENT, ALL).")
  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Disclaimer disclaimer = (Disclaimer) o;
    return Objects.equals(this.code, disclaimer.code) &&
        Objects.equals(this.text, disclaimer.text) &&
        Objects.equals(this.type, disclaimer.type);
  }

  @Override
  public int hashCode() {
    return Objects.hash(code, text, type);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Disclaimer {\n");
    
    sb.append("    code: ").append(toIndentedString(code)).append("\n");
    sb.append("    text: ").append(toIndentedString(text)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

